Bug 195864 - [WHLSL] parseEffectfulSuffix() is never called
Summary: [WHLSL] parseEffectfulSuffix() is never called
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGPU (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Robin Morisset
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-17 13:16 PDT by Myles C. Maxfield
Modified: 2019-05-21 14:46 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.59 KB, patch)
2019-05-14 12:33 PDT, Robin Morisset
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2019-03-17 13:16:20 PDT
Something is amiss.
Comment 1 Radar WebKit Bug Importer 2019-05-13 17:07:24 PDT
<rdar://problem/50746278>
Comment 2 Robin Morisset 2019-05-14 12:33:26 PDT
Created attachment 369881 [details]
Patch
Comment 3 Myles C. Maxfield 2019-05-14 13:41:45 PDT
Comment on attachment 369881 [details]
Patch

Looks like this was just a stupid mistake I made. Stupid mistakes like this are why the test suite is so important.
Comment 4 WebKit Commit Bot 2019-05-14 14:50:00 PDT
Comment on attachment 369881 [details]
Patch

Clearing flags on attachment: 369881

Committed r245312: <https://trac.webkit.org/changeset/245312>
Comment 5 WebKit Commit Bot 2019-05-14 14:50:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Saam Barati 2019-05-21 14:46:20 PDT
This isn't actually fixed yet.

this doesn't parse:

```
int bar() {
    int foo;
    foo++;
}
```